| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.MultiImageViewFactory Class Reference

This factory is aimed at creating stack of ImageViews. More...

Inheritance diagram for IOLink.MultiImageViewFactory:

## Public Member Functions
| MultiImageViewFactory (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (MultiImageViewFactory obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (MultiImageViewFactory obj)
static MultiImageView | Create ()
| Creates an empty MultiImageView.
static MultiImageView | CreateFromList (ImageView listImages, uint count)
| Creates a MultiImageView with given list of frames.
static MultiImageView | Unstack (ImageView imageView, uint idxDimensionUnstack)
| Creates a MultiImageView from an ImageView ImageView (whose dimension is greater than 2) is unstacked according to given dimension into a MultiImageView. i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)
static MultiImageView | Unstack (ImageView imageView, ImageDimension dimension)
| Creates a MultiImageView from an ImageView ImageView (whose dimension is greater than 2) is unstacked according to given dimension into a MultiImageView. i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)
static MultiImageView | Deinterlace (ImageView imageView)
| Creates a MultiImageView from an ImageView, containing as many ImageViews as there are channels in original Image (one by channel). i.e. ImageView RGB => MultiImageView of 3 ImageViews (ImageView RED, ImageView GREEN, ImageView BLUE)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

This factory is aimed at creating stack of ImageViews.

Examples
  VolumeFromStack.cs.

## Member Function Documentation

## ◆ CreateFromList()

static MultiImageView IOLink.MultiImageViewFactory.CreateFromList | ( | ImageView | listImages,
|  | uint | count
| ) |  |
| inline static

Creates a MultiImageView with given list of frames.

Parameters

  listImages | pointer on first array of ImageView to add in MultiImageView
  count | elements count in given array

Exceptions

  Error | if one ImageView of the given list has invalid properties

## ◆ Deinterlace()

static MultiImageView IOLink.MultiImageViewFactory.Deinterlace | ( | ImageView | imageView | ) |
| inline static

Creates a MultiImageView from an ImageView, containing as many ImageViews as there are channels in original Image (one by channel). i.e. ImageView RGB => MultiImageView of 3 ImageViews (ImageView RED, ImageView GREEN, ImageView BLUE)

Parameters

  imageView | ImageView which must be deinterlaced

Returns
  a MultiImageView with one ImageView for each channel of original ImageView

Exceptions

  InvalidArgument | if input image is null
  Error | if given ImageView has invalid properties

## ◆ Unstack() [1/2]

static MultiImageView IOLink.MultiImageViewFactory.Unstack | ( | ImageView | imageView,
|  | ImageDimension | dimension
| ) |  |
| inline static

Creates a MultiImageView from an ImageView ImageView (whose dimension is greater than 2) is unstacked according to given dimension into a MultiImageView. i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)

Parameters

  imageView | ImageView whose dimension is greater than 2
  dimension | ImageDimension to unstack

Returns
  a MultiImageView containing as many sub-frames as the size of given dimension in original Imageview

Exceptions

  InvalidArgument | if input image is null
  Error | if dimension is not contained into ImageView
  Error | if given ImageView has invalid properties

## ◆ Unstack() [2/2]

static MultiImageView IOLink.MultiImageViewFactory.Unstack | ( | ImageView | imageView,
|  | uint | idxDimensionUnstack
| ) |  |
| inline static

Creates a MultiImageView from an ImageView ImageView (whose dimension is greater than 2) is unstacked according to given dimension into a MultiImageView. i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)

Parameters

  imageView | ImageView whose dimension is greater than 2
  idxDimensionUnstack | index of dimension used for unstacking

Returns
  a MultiImageView containing as many sub-frames as the size of given dimension in original Imageview

Exceptions

  InvalidArgument | if input image is null
  Error | if given ImageView has invalid properties

The documentation for this class was generated from the following file:

- Release/net/generated/MultiImageViewFactory.cs